zoom(6)

NAME
zoom - wander around magnified desktop

SYNOPSIS
zoom [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--delay usecs] [--duration secs] [--lenses] [--pixwidth pixels] [--pixheight pixels] [--pixspacex pixels] [--pixspacey pixels] [--lensoffsetx pixels] [--lensoffsety pixels] [--fps]

DESCRIPTION
The zoom program takes an image, magnifies it, and scrolls around it, fatbits-style. The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-settings(1) for more details.

OPTIONS
zoom accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay microseconds
    Slow it down.

--duration seconds
    How long to run before loading a new image. Default 120 seconds.

--lenses
    Instead of doing magnification we just copy an offset region from the original image. If lensoffsetx < pixwidth (and similarly for Y) then consecutive regions will overlap, giving the effect of looking through an array of lenses.

--pixwidth pixels
    Width of the magnified pixels.

--pixheight pixels
    Height of the magnified pixels.

--pixspacex pixels
    Amount of black space between magnified pixels (X direction).

--pixspacey pixels
    Amount of black space between magnified pixels (Y direction).

--lensoffsetx pixels
    Distance in X direction between consecutive copied regions (only effective when -lenses used).

--lensoffsety pixels
    Distance in Y direction between consecutive copied regions (only effective when -lenses used).

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(6)

COPYRIGHT
Copyright © 2000 by James Macnicol. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
James Macnicol <james.macnicol@mailexcite.com>, 20-Nov-2000. Much code was shamelessly stolen from the spotlight hack and a few others.